<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.shop.mapper.ShopMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="shopResultMap" type="org.springblade.ldt.shop.entity.Shop">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="name" property="name"/>
        <result column="agenter" property="agenter"/>
        <result column="agent_avatar" property="agentAvatar"/>
        <result column="agent_name" property="agentName"/>
        <result column="mall_id" property="mallId"/>
        <result column="person_name" property="personName"/>
        <result column="person_tel" property="personTel"/>
        <result column="location_code" property="locationCode"/>
        <result column="location" property="location"/>
        <result column="cover" property="cover"/>
        <result column="logo" property="logo"/>
        <result column="label_parent_ids" property="labelParentIds"/>
        <result column="label_json" property="labelJson"/>
        <result column="label_key" property="labelKey"/>
        <result column="sales" property="sales"/>
        <result column="shop_pic" property="shopPic"/>
        <result column="point_rate" property="pointRate"/>
        <result column="point" property="point"/>
        <result column="balance" property="balance"/>
        <result column="secret" property="secret"/>
        <result column="is_open_member" property="isOpenMember"/>
        <result column="email" property="email"/>
        <result column="total_value" property="totalValue"/>
        <result column="member_count" property="memberCount"/>
        <result column="slogan" property="slogan"/>
        <result column="audit_status" property="auditStatus"/>
        <result column="audit_advice" property="auditAdvice"/>
        <result column="charge" property="charge"/>
        <result column="withdraw_charge" property="withdrawCharge"/>
        <result column="longitude" property="longitude"/>
        <result column="latitude" property="latitude"/>
        <result column="address" property="address"/>
        <result column="activity_id" property="activityId"/>
        <result column="send_point_unit" property="sendPointUnit"/>
        <result column="score" property="score"/>
        <result column="merchant_no" property="merchantNo"/>
        <result column="open_id" property="openId"/>
        <result column="total_balance" property="totalBalance"/>
        <result column="total_point" property="totalPoint"/>
    </resultMap>


    <select id="selectShopPage" resultMap="shopResultMap">
        select * from ldt_shop where is_deleted = 0
    </select>
</mapper>
